//
//  PopoverTableViewCell.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/22.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

class PopoverTableViewCell: BaseTableViewCell {
    var xinfo = PopoverTableViewCellModel()
    
    @IBOutlet weak var titleLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        titleLabel.font = UIFont.systemFont(ofSize: 16)
        titleLabel.textColor = blackTitleColor
        // Initialization code
    }
    override func configurateTheCell(_ info: BaseCellModel) {
        xinfo = info as! PopoverTableViewCellModel
        self.titleLabel.text = xinfo.titleStr
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        if selected {
            xinfo.block()
        }
    }

}
class PopoverTableViewCellModel: BaseCellModel {
    var titleStr:String?
    var block:selectBlock!
    var h:CGFloat!
    
}
